Bug 119211 - smb.conf(5) manual page bug if you do not use UTF-8 based locale
Summary: smb.conf(5) manual page bug if you do not use UTF-8 based locale
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-26 13:53 UTC by Péter, Soós
Modified: 2014-08-31 23:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 11:01:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:259 high SHIPPED_LIVE Important: samba security update 2004-07-22 04:00:00 UTC

Description Péter, Soós 2004-03-26 13:53:08 UTC
Description of problem:
man smb.conf command shows only the first part of the bage with the
following error message:
iconv: illegal input sequence at position 4080

Version-Release number of selected component (if applicable):
samba-3.0.2-7.FC1

How reproducible:
always

Steps to Reproduce:
1.man smb.conf

  
Actual results:
only the first part aapears

Expected results:
whole page appears

Additional info:
$ locale
LANG=en_US
LC_CTYPE="en_US"
LC_NUMERIC="en_US"
LC_TIME="en_US"
LC_COLLATE="en_US"
LC_MONETARY="en_US"
LC_MESSAGES="en_US"
LC_PAPER="en_US"
LC_NAME="en_US"
LC_ADDRESS="en_US"
LC_TELEPHONE="en_US"
LC_MEASUREMENT="en_US"
LC_IDENTIFICATION="en_US"
LC_ALL=en_US

It works well if locale is set to en_US.UTF8

I tried it with hu_HU and hu_HU.UTF-8 locales, with same result.

Comment 1 Mark J. Cox 2004-07-22 11:01:05 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-259.html



Note You need to log in before you can comment on or make changes to this bug.